MacWrtParserInternal::Information Struct Reference

the paragraph... information More...

## Public Types

enum | Type { TEXT , RULER , GRAPHIC , PAGEBREAK , UNKNOWN }
| the different type More...

## Public Member Functions

| Information ()
| constructor

## Public Attributes

Type | m_type
| the type
bool | m_compressed
| a flag to know if the text data are compressed
MWAWPosition | m_pos
| top left position
int | m_height
| the paragraph height
MWAWParagraph::Justification | m_justify
| paragraph justification : MWAW_PARAGRAPH_JUSTIFICATION*
bool | m_justifySet
| true if the justification must be used
MWAWEntry | m_data
| the position in the file
MWAWFont | m_font
| the font

## Friends

std::ostream & | operator<< (std::ostream &o, Information const &info)
| operator<<

## Detailed Description

the paragraph... information

## Member Enumeration Documentation

## Type

enum MacWrtParserInternal::Information::Type

the different type

Enumerator
TEXT |
RULER |
GRAPHIC |
PAGEBREAK |
UNKNOWN |

## Constructor & Destructor Documentation

## Information()

MacWrtParserInternal::Information::Information | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Information const & | info )

friend

operator<<

## Member Data Documentation

## m_compressed

bool MacWrtParserInternal::Information::m_compressed

a flag to know if the text data are compressed

Referenced by Information(), operator<<, MacWrtParser::readInformations(), and MacWrtParser::readText().

## m_data

MWAWEntry MacWrtParserInternal::Information::m_data

the position in the file

Referenced by Information(), operator<<, MacWrtParser::readGraphic(), MacWrtParser::readInformations(), MacWrtParser::readPageBreak(), MacWrtParser::readParagraph(), and MacWrtParser::readText().

## m_font

MWAWFont MacWrtParserInternal::Information::m_font

the font

Referenced by Information(), MacWrtParser::readInformations(), and MacWrtParser::readText().

## m_height

int MacWrtParserInternal::Information::m_height

the paragraph height

Referenced by Information(), operator<<, MacWrtParser::readInformations(), MacWrtParser::readInformationsV3(), and MacWrtParser::readText().

## m_justify

MWAWParagraph::Justification MacWrtParserInternal::Information::m_justify

paragraph justification : MWAW_PARAGRAPH_JUSTIFICATION*

Referenced by Information(), operator<<, MacWrtParser::readInformations(), and MacWrtParser::readText().

## m_justifySet

bool MacWrtParserInternal::Information::m_justifySet

true if the justification must be used

Referenced by Information(), operator<<, MacWrtParser::readInformations(), and MacWrtParser::readText().

## m_pos

MWAWPosition MacWrtParserInternal::Information::m_pos

top left position

Referenced by Information(), operator<<, MacWrtParser::readInformations(), and MacWrtParser::readInformationsV3().

## m_type

Type MacWrtParserInternal::Information::m_type

the type

Referenced by Information(), operator<<, MacWrtParser::readInformations(), and MacWrtParser::readInformationsV3().

The documentation for this struct was generated from the following file:

- MacWrtParser.cxx